package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag416;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT416Creator;

public class Tag71FACreator extends AbsTagCreate {

    private MT416Creator mt416Creator;

    public Tag71FACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt416Creator= (MT416Creator) absMTCreator;
    }

    public void creator() {
        String tag71Value = mt416Creator.getSenderCharges();
        mt416Creator.set("71A", tag71Value);
    }
}
